#!/bin/sh
ddwrt=DD-WRT
if [ -d $ddwrt ] 
then
	cd $ddwrt
else
	mkdir $ddwrt
	cd $ddwrt
fi

echo "Download Starts......"

svn co svn://svn.dd-wrt.com/DD-WRT/image 
svn export svn://svn.dd-wrt.com/DD-WRT/Makefile
svn co svn://svn.dd-wrt.com/DD-WRT/opt
svn co svn://svn.dd-wrt.com/DD-WRT/tools

echo "Moving to src directory......"
if [ -d src ] 
then
	cd src
else
	mkdir src
	cd src
fi

svn export svn://svn.dd-wrt.com/DD-WRT/src/cy_conf.h
svn export svn://svn.dd-wrt.com/DD-WRT/src/cy_conf.mak
svn co svn://svn.dd-wrt.com/DD-WRT/src/include.bcm
svn co svn://svn.dd-wrt.com/DD-WRT/src/include.v23
svn co svn://svn.dd-wrt.com/DD-WRT/src/include.v24
svn co svn://svn.dd-wrt.com/DD-WRT/src/led
svn export svn://svn.dd-wrt.com/DD-WRT/src/Makefile
svn co svn://svn.dd-wrt.com/DD-WRT/src/router
svn co svn://svn.dd-wrt.com/DD-WRT/src/ses
svn co svn://svn.dd-wrt.com/DD-WRT/src/shared
svn co svn://svn.dd-wrt.com/DD-WRT/src/squashfs-tools
svn co svn://svn.dd-wrt.com/DD-WRT/src/switch
svn co svn://svn.dd-wrt.com/DD-WRT/src/tools
svn co svn://svn.dd-wrt.com/DD-WRT/src/wl

echo "Moving to brcm directory......"
if [ -d linux ] 
then
	cd linux
else
	mkdir linux
	cd linux
fi
if [ -d brcm ] 
then
	cd brcm
else
	mkdir brcm
	cd brcm
fi

svn co svn://svn.dd-wrt.com/DD-WRT/src/linux/brcm/linux.v24_2

echo "Download Completed....."
